##
## SPDX-FileCopyrightText: NVIDIA CORPORATION & AFFILIATES
## Copyright (c) 2023-2025 NVIDIA CORPORATION & AFFILIATES. All rights reserved.
## SPDX-License-Identifier: LicenseRef-NvidiaProprietary
##
## NVIDIA CORPORATION, its affiliates and licensors retain all intellectual
## property and proprietary rights in and to this material, related
## documentation and any modifications thereto. Any use, reproduction,
## disclosure or distribution of this material and related documentation
## without an express license agreement from NVIDIA CORPORATION or
## its affiliates is strictly prohibited.
##

# These tasks are intended to be run on the DPU Arm

- name: Get mst dev id
  shell: "find /dev/mst/ | grep -G 'pciconf0$'" # noqa 305
  register: mst_dev_id_out

- name: Parse mst device id
  set_fact:
    mst_dev_id: "{{ mst_dev_id_out.stdout.strip() }}"

- name: Print mst_dev_id
  debug:
    msg: "{{ mst_dev_id }}"
